<!doctype html>
<html lang="pl" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/administration_panel.css" type="text/css" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Parisienne&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400&display=swap" rel="stylesheet">
</head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<body>

<div id="headerwrap">

    <div th:fragment="edit" class="col-md-9 center">
        <h2>Edytowanie użytkownika</h2>
        <div>
            <div class="form-register" id="myForm">
                <form th:action="@{/admin/users/add/save}" method="post" th:object="${user}" th:value="${viewType}" class="form-container-reg">
                    <label for="userName" ><b>nazwa</b></label>
                    <input type="text" id="userName" name="userName" th:field="*{userName}" th:value="*{userName}" required>

                    <select id="active" name="active">
                        <option  th:field="*{active}" th:value="1" th:selected="${#bools.isTrue(active)}">Aktywny</option>
                        <option  th:field="*{active}" th:value="0" th:selected="${#bools.isFalse(active)}">Nieaktywny</option>
                    </select>

                    <input name="id" th:field="*{id}" th:value="*{id}" hidden>

                    <input name="attractions" th:field="*{attractions}" th:value="*{attractions}" hidden>

                    <input name="tripPlan" th:field="*{tripPlan}" th:value="*{tripPlan}" hidden>

                    <label for="roles"><b>Typ</b></label>
                    <select id="roles" name="roles">
                        <option  th:field="*{roles}" th:value="USER" th:selected="${#strings.equals(roles, 'USER')}">Użytkownik</option>
                        <option  th:field="*{roles}" th:value="ADMIN" th:selected="${#strings.equals(roles, 'ADMIN')}">Administrator</option>
                    </select>

                    <button type="submit" class="btn">Zapisz</button>
                </form>
            </div>
        </div>
        <br>
    </div>
</div>

<div class="col-md-12 footer">
    <br />
    <h4>Wszelkie prawa zastrzeżone © 2020</h4>
</div>

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>